﻿(function() {

var currentWidth = 0;
var animating = false;

addEventListener("load", function(event)
{
	setTimeout(preloadImages, 0);
	setTimeout(checkOrientAndLocation, 0);
	setInterval(checkOrientAndLocation, 300);

}
, false);

addEventListener("unload", function(event)
{
  var atags = document.getElementsByTagName('A');
  for( var i=0; i<atags.length; i++ )
  {
    if(atags[i].hasAttribute('selected'))
    {
      atags[i].removeAttribute('selected');
    }
  }
}
, false);


function preloadImages()
{
  var preloader = document.createElement("div");
  preloader.id = "preloader";
  document.body.appendChild(preloader);
}

addEventListener("change", function(event)
{
  if(event.target.nodeName == 'SELECT')
    //window.location = 'http://' + location.host + event.target.value;
    window.location=event.target.value;
  else
    submitForm(findParent(event.target, "form"));
}
, true);


addEventListener("click", function(event)
{

  var link = findParent(event.target, "a");
  if (link && link.href.indexOf("mailto:") < 0 && link.href.charAt(0) != '#')
  {
    function unselect() { link.removeAttribute("selected"); }

    if (link.getAttribute("type") == "external")
      window.open(link.href);
    else if (link.getAttribute("type") == "submit")
      submitForm(findParent(link, "form"));
    else if (link.getAttribute("type") == "cancel")
      cancelDialog(findParent(link, "form"));
    else if (!link.target)
    {
      link.setAttribute("selected", "progress");
      window.location = link.href;
    }
    else
      return;
    event.preventDefault(); 
  }
}
, true);

//Safari地址栏控制
function checkOrientAndLocation()
{
  if (animating)
    return;

  if (window.innerWidth != currentWidth)
  {   
    currentWidth = window.innerWidth;
    var orient = currentWidth == 320 ? "profile" : "landscape";
    document.body.setAttribute("orient", orient);
    setTimeout(scrollTo, 100, 0, 1);
  }
}

//辅助方法 START
function findParent(node, localName)
{
  while (node && (node.nodeType != 1 || node.localName.toLowerCase() != localName))
    node = node.parentNode;
  return node;
}

function $(id) { return document.getElementById(id); }

function toggle(p)
{
  var s = $(p);
  var c = $('screen');
  var d = s.style.display == 'none' ? 'block' : 'none';
  s.style.display = d;
  c.style.display = d;
  return d;
}
//音视频文件播放提示
//t='video'|'audio'
function showAlert(t)
{
  alert('Click "OK" below to play your ' + t + '.\n* This may take several seconds to load.\n* Once the ' + t + ' has finished, press the back arrow button to return.');
}

//辅助方法 END

})();